source: .travis.yml

Last change on this file was 5f3f1e4, checked in by Jason Gross <jgross@mit.edu>, 3 years ago
Travis doesn't know about Perl 5.19 So tell it to use Perl 5.20 instead.
  • Property mode set to 100644
File size: 829 bytes
Line 
1
2language: perl
3compiler:
4  - clang
5  - gcc
6perl:
7  - "5.10"
8  - "5.12"
9  - "5.14"
10  - "5.16"
11  - "5.18"
12  - "5.20"
13install:
14  - sudo apt-get update -q
15# we actually want debhelper >= 7, libperl-dev >= 5.10.1-8, libzephyr-dev >= 3.0~beta
16  - sudo apt-get install -q autoconf autotools-dev debhelper dh-autoreconf libglib2.0-dev libkrb5-dev libncurses5-dev libncursesw5-dev libssl-dev libzephyr-dev pkg-config zip
17# perl things
18# In lp:~barnowl/barnowl/packaging, we use apt-get.  Here, we use cpanm.
19#  - sudo apt-get install libanyevent-perl libclass-accessor-perl libextutils-depends-perl libglib-perl libmodule-install-perl libnet-twitter-lite-perl libpar-perl libperl-dev
20  - cpanm AnyEvent Class::Accessor ExtUtils::Depends Glib Module::Install Net::Twitter::Lite PAR
21script: "./autogen.sh && ./configure && make distcheck"
Note: See TracBrowser for help on using the repository browser.